Password crash!

Password crash!

Post by DongHo Lee (korn » Tue, 29 Oct 1996 04:00:00



Hi!.

I'm using FreeBSD 2.1.5-RELEASE on 586 PC.
in few days ago, I tried to install mach4 in this and
I met some problems.

1. I can't login with root, including other acccounts.
 when I do login, the following message show.

  -- comlab6: /etc/spwd.db : inappropriate type or format... --

actually, I used to login empty passwd with root , but now
login daemon asked me to enter root passwd with showing above message.
probably, I guess my passwd was broken. but I don't know    
 what is matter? and
I want to know the way to recover this problem !

2. I can't mount CD-ROM( E-IDE type)
 I want to use CD-ROM. but in 2.1.5-RELEASE don't support my CD-ROM.
of course, I read the some CD-ROM( E-IDE type) may not support in FreeBSD.
but, I heard some people succeed above with same type CD-ROM. help me.

thanks for your replies...


 
 
 

Password crash!

Post by J Wuns » Mon, 04 Nov 1996 04:00:00



Quote:> 1. I can't login with root, including other acccounts.
>  when I do login, the following message show.

>   -- comlab6: /etc/spwd.db : inappropriate type or format... --

Run ``pwd_mkdb -p /etc/master.passwd'', this will recreate the
.db files.

Quote:> 2. I can't mount CD-ROM( E-IDE type)

There's not much chances except of upgrading to a newer version.  You
might want to pick up the bootfloppy of a newer SNAP, just to see
whether it will recognize your drive.

If this works, you've got two possibilities: install such a SNAP,
which might cause you some problems because SNAPs are not releases,
but beta-quality offspin `products' from the normal development cycle.

Or, if you hesitate this but are patient enough, wait another couple
of months in the hope that FreeBSD 2.2 will be ready then.  This is
our #1 goal these days... i'm just cutting a pre-release on my machine
(something like a private `alpha' version).

--
cheers, J"org


Never trust an operating system you don't have sources for. ;-)